/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Stress Protocols 
 */
public enum EnumCV_StressProtocols {

	//Stress Protocols  - CID 3261
	BALKE_PROTOCOL_P2_7131C("P2-7131C"),
	BRUCE_PROTOCOL_P2_7131A("P2-7131A"),
	ELLESTAD_PROTOCOL_P2_7131D("P2-7131D"),
	MODIFIED_BRUCE_PROTOCOL_P2_7131B("P2-7131B"),
	MODIFIED_NAUGHTON_PROTOCOL_P2_713A1("P2-713A1"),
	NAUGHTON_PROTOCOL_P2_713A0("P2-713A0"),
	PEPPER_PROTOCOL_P2_7131F("P2-7131F"),
	RAMP_PROTOCOL_P2_7131E("P2-7131E"),
	EXERCISE_STRESS_ECG_TEST_P2_31010("P2-31010"),
	STRESSTESTUSINGBICYCLEERGOMETER_P2_31102("P2-31102"),
	PHARMACOLOGIC_STRESS_PROTOCOL_P2_31107("P2-31107"),
	DIPYRIDAMOLE_STRESS_PROTOCOL_P2_3110A("P2-3110A"),
	ADENOSINE_STRESS_PROTOCOL_P2_31109("P2-31109"),
	DOBUTAMINE_STRESS_PROTOCOL_P2_31108("P2-31108"),
	PHARMACOLOGIC_AND_EXERCISE_STRESS_TEST_P2_31011("P2-31011"),
	STRESS_TEST_USING_CARDIAC_PACING_P2_3110B("P2-3110B");
	
	private String value;

	EnumCV_StressProtocols(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
